vim.cmd("set expandtab")
vim.cmd("set tabstop=2")
vim.cmd("set softtabstop=2")
vim.cmd("set shiftwidth=2")

-- disable netrw at the very start of your init.lua
vim.g.loaded_netrw = 1
vim.g.loaded_netrwPlugin = 1

-- vim options
local opt = vim.opt

opt.relativenumber = true

opt.undodir = os.getenv "HOME" .. "/.vim/undodir"

-- Languages
opt.spelllang = 'en_us,fr'
opt.spell = true

vim.cmd("autocmd BufRead,BufNewFile *.typ set filetype=typst")

require("config.lazy")
require("config.mappings")
